org.codehaus.plexus.util.cli

## Interface StreamConsumer

- All Known Implementing Classes:
    CommandLineUtils.StringStreamConsumer, DefaultConsumer, WriterStreamConsumer

      public interface StreamConsumer

  Works in concert with the StreamPumper class to allow implementations to gain access to the lines being "Pumped". Please note that implementations of this interface can be expected to be called from arbitrary threads and must therefore be threadsafe.
  Version:
    $Id$
  Author:
    Florin Vancea, Paul Julius

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)` Called when the StreamPumper pumps a line from the Stream.

- - ### Method Detail

    - #### consumeLine

          void consumeLine(String line)

      Called when the StreamPumper pumps a line from the Stream.

Copyright © 2015. All rights reserved.